<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            {!! Form::label('nome', 'Nome*', ['class' => 'control-label']) !!}<br>
            {!! Form::text('nome', old('nome'), ['class' => 'form-control']) !!}
            @if ($errors->has('nome')) <p style="color: red">{{ $errors->first('nome') }}</p> @endif<br>
        </div>
        <div class="form-group">
            {!! Form::label('categoria_id', 'Categoria*', ['class' => 'control-label']) !!}<br>
            {!! Form::select('categoria_id', $categorias, old('categoria_id'), ['class' => 'form-control', 'placeholder' => 'Selecione']) !!}
            @if ($errors->has('categoria_id')) <p style="color: red">{{ $errors->first('categoria_id') }}</p> @endif<br>
        </div>
        <div class="form-group">
            {!! Form::label('quantidade', 'Quantidade', ['class' => 'control-label']) !!}<br>
            {!! Form::number('quantidade', old('quantidade'), ['class' => 'form-control', 'min' => 0]) !!}
            @if ($errors->has('quantidade')) <p style="color: red">{{ $errors->first('quantidade') }}</p> @endif<br>
        </div>
    </div>
</div>
